Apache HTTP Server Request Library

Data Fields
apreq_param_t Struct Reference

`#include <apreq_param.h>`

## Data Fields

apr_table_t * | info
apr_bucket_brigade * | upload
unsigned | flags
const apreq_value_t | v

## Detailed Description

Common data structure for params and file uploads

## Field Documentation

## ◆ flags

unsigned apreq_param_t::flags

charsets, taint marks, app-specific bits

## ◆ info

apr_table_t* apreq_param_t::info

header table associated with the param

## ◆ upload

apr_bucket_brigade* apreq_param_t::upload

brigade used to spool upload files

## ◆ v

const apreq_value_t apreq_param_t::v

underlying name/value info

The documentation for this struct was generated from the following file:

- include/apreq_param.h